/* Copyrights 2002 Luis Figueiredo (stdio@netc.pt) All rights reserved. 
 *
 * See the LICENSE file
 *
 * The origin of this software must not be misrepresented, either by
 * explicit claim or by omission.  Since few users ever read sources,
 * credits must appear in the documentation.
 *
 * date: Sat Mar 30 14:44:42 GMT 2002
 *
 *
 * --
 *
 */


#ifndef _GETHANDLER_H_
#define _GETHANDLER_H_

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif         

#include <stdio.h>

#include "memory.h"

#define MATCHMAX 200

#define WS_LOCAL 0x1

struct gethandler {
        char *str;
        void (*func)();
	int flag; // WS_LOCAL
        struct gethandler *next;
};      

struct gethandler *init_handler_list();
int add_handler(struct gethandler *,const char *,void (*func)(),int);

#endif
